--- title: "Intelligent Adaptive Authentication November Release – 26.R4" slug: "iaa-release-notes-version-26r4" updated: 2026-11-02T16:51:03Z published: 2026-11-02T16:51:03Z canonical: "docs.onespan.com/iaa-release-notes-version-26r4" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # Intelligent Adaptive Authentication November Release – 26.R4 ## Deprecated or removed components and services ### Removed: `orchestration-commands` endpoint The `POST /orchestration-commands` endpoint has now been removed as previously announced. For information about error handling with the Trusted Device microservice and the [POST /orchestration-commands-v2](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Device Commands/trustedDeviceCmdv2UsingPOST) endpoint, see [Orchestration Error Handling with Trusted Device microservice](/sec/docs/iaa-ig-orchestration-error-handling-with-trusted-device-microservice) and for instructions how to migrate to this microservice, see [Migrate to the Trusted Device microservice](/sec/docs/iaa-ig-migrate-to-the-trusted-device-microservice). ## New features and enhancements—supported use cases ### Stricter user data validation As previously announced, user data are now stricter validated. For calls to create and/or update users, a new validation mechanism has been introduced for the `USERFLD_EMAIL` and `USERFLD_MOBILE` fields in the Authentication component, and the `emailAddress` and `mobilePhoneNumber` input fields will be validated in the same way as the input fields of other Intelligent Adaptive Authentication endpoints. Before, calls were either failing and returning HTTP 500 (Internal Server Error), or accepting invalid inputs and returning HTTP 200 (OK), which then lead to issues in subsequent calls. Now, when the user’s email address or phone number is invalid, strict validation is enforced, and the following applies whenever you create or update user accounts: - **Email addresses:** Email addresses will only be accepted if they are well formed and do not contain special characters. The address must only consist of digits, characters from the Latin (extended with accents), Cyrillic, and Arabic alphabets, and typical email punctuation. - **Phone numbers:** Numbers are validated against E.164 and other common formats with human-readable formatting. If the format of the user’s email address and/or phone number is invalid, the Authentication component now always returns a 400 HTTP bad request error message. This affects the following endpoints: - [POST /authenticators/{serialNumber}/applications/{applName}/generate-votp](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Authenticators/generateVOTPUsingPOST) - [POST /users/register](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Users/userRegisterUsingPOST) - [PUT /users/{userID@domain}](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Users/createUserUsingPUT]/sandbox#/Users/userRegisterUsingPOST) - [PATCH /users/{userID@domain}](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Users/updateUserUsingPATCH) > Existing user information fields are kept as is and are only revalidated when you attempt to update them. ### Orchestration options extended The Orchestration SDK has replaced the legacy `Fingerprint` and `Face` options for authentication and transaction validation with `Biometric` as the unified type. The Intelligent Adaptive Authentication REST API entry points have been adapted accordingly. The following endpoints now accept `Biometric` as input value: - [POST /users/{userID@domain}/login](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Users/loginUsingPOST) (authentication operations) - [POST /users/{userID@domain}/transactions/validate](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Transactions/transactionValidationUsingPOST) (transaction validation) For backwards compatibility reasons, the API maps incoming `Fingerprint` and `Face` values internally to `Biometric`. ### Reliable indicator for failing authentication requests Intelligent Adaptive Authentication now provides a reliable indicator why an authentication request fails when biometric or PIN validation is performed locally on the device. Authentication failures that occur during local PIN or biometric validation on the mobile are now passed on to the server to track the actual failure reason instead of a generic one like e.g. `timeout`. In addition, Intelligent Adaptive Authentication now also tracks which authentication method is being used (PIN or biometric). The [GET /sessions/{requestID}](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Sessions/checkSessionUsingGET) endpoint has been extended with the following optional fields: - `failureReason` Specifies why validation failed. Supported value: `orchestrationAuthenticationFailure` - `orchestrationAuthenticationType` Specifies the authentication method used. Supported values: - `NoPIN` - `PIN` - `Biometric` This enhancement also supports a regulatory compliance requirement for 3D Secure 2. ### Modernized SMS delivery infrastructure The SMS delivery infrastructure used for SMS-based user login and event validation has been migrated to a modernized, more secure platform with the following improvements: - Regional SMS gateway deployments reduce latency and improve delivery performance - Improved SMS delivery status tracking, providing greater visibility into message delivery outcomes, including detailed error information when message delivery fails - Better connection handling - Tighter integration with Intelligent Adaptive Authentication - Improved error handling - Better supportability With the extended endpoint, you can now check the exact delivery status of an SMS message and any provider-reported errors directly through the API. Previously, this information had to be retrieved with the help of our Support Team but this enhancement now enables self-service troubleshooting and SMS delivery diagnostics. The [GET /sessions/{requestID}](https://community.onespan.com/products/intelligent-adaptive-authentication/sandbox#/Sessions/checkSessionUsingGET) endpoint has been extended with a new `smsEvents` field to obtain a list of SMS delivery events associated with the request. The new field contains the following values: - `destinationPhoneNumber`: destination of the SMS message - `providerMessageId`: ID assigned to the message by the SMS provider - `status`: current delivery status of the message - `timestamp`: time and date of the most recent update > Existing integrations continue to work as before, full backward compatibility with current SMS delivery APIs has been maintained. ## Fixes and other changes Issue OAS-24606: Import from unsorted Digipass import file can cause issue **Description**: Importing authenticator records from a Digipass import file (CSV) can cause issues if the file contains authenticator instances that are linked to authenticator licenses which are defined later in the file. **Status**: This issue has been fixed. The CSV import logic was enhanced to first process all authenticator licenses before importing any authenticator instances. Issue OAS-25737: Security library upgrade **Description**: The Open SSL library has been upgraded to provide security updates and to improve compatibility for cryptographic operations and secure communications. Issue OAS-31809: Effective lock duration for user auto-unlock attempts calculated incorrectly **Description**: When **user auto-unlock** was enabled, the **effective lock duration** was calculated incorrectly. For example, with the lock duration multiplier set to 200, the lock duration should double after each unsuccessful authentication. Instead, it increased only by the minimum lock duration each time. **Status**: This issue has been fixed. Issues OAS-32375, OAS-32374 (Support case CS0208142): Advanced DPX upload does not accept 64 character key components **Description**: In Intelligent Adaptive Authentication version 26.R1, support for 256-bit DPX transport keys was added. However, advanced transport keys consisting of multiple key components were still limited to 32 characters per key component. **Status**: This issue has been fixed. The Web Administration service of the Authentication component now also accepts up to 64 characters for each key component of an advanced transport key. In addition, key components are now automatically formatted into groups of four characters to simplify data entry, consistent with the handling of basic transport keys. Issue OAS-35470: Improved handling of report cancellation **Description**: In the Web Administration service of the Authentication component, canceling a long-running report that listed Digipass authenticators did not stop the underlying process, resulting in continuous database load. **Status**: The handling of long-running Digipass list reports has been improved. Now, the report is being stopped from processing more reliably when cancelled. Fixed vulnerabilities As part of our continuous security and maintenance efforts, this release contains updates to third-party components and dependencies. If a vulnerability is identified that materially impacts customers, we will communicate the details directly to affected customers and/or publish relevant guidance in our Knowledge Base. ## Known issues Issue OAS-15853: Incorrect error message when transaction amount fields are provided as data type number **Description**: The [POST /users/{userID@domain}/transactions/validate](https://community.onespan.com/products/onespan-cloud-authentication/sandbox#/Transactions/transactionValidationUsingPOST) endpoint returns an incorrect error message if the transaction amount field is provided from the `number` data type, and if the transaction amount is large. In this case, the endpoint should return the error message `Invalid value type`, because the transaction amount field was provided as a number and not as a string. Instead, it returns the incorrect error message `Amount: Value must follow -^-?[0-9]{1,20}(\\.[0-9]{1,3})?$,`. **Solution**: The transaction amount fields in the request body of the transactions/validate endpoint need to be provided as a string. Ensure that the value in the JSON request body is wrapped in double quotes. ## Orchestration SDK—supported versions Intelligent Adaptive Authentication supports the following versions of the Orchestration SDK Client: - 5.13.3 - 5.13.2 - 5.13.0 - 5.12.0 - 5.11.0 - 5.10.0 - 5.9.0 - 5.8.1 - 5.8.0 - 5.7.0 - 5.6.4 - 5.6.3 - 5.6.0 - 5.5.1 - 5.4.2 - 5.4.1 - 5.4.0 - 5.3.1 - 5.3.0